package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesEquipmentModel implements Serializable {
    @ApiParam(value ="id")
    private Long id;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("设备状态")
    private Integer status;

    @ApiParam(value ="生产线")
    private String workCenterCode;

    @ApiParam(value ="工位")
    private String workCellCode;

    @ApiParam(value ="区域")
    private String areaCode;

    @ApiParam(value ="设备工位关联ID")
    private Long wcId;

    @ApiParam(value ="设备&工位")
    private String equipmentNameAndworkCellName;

    @ApiParam("设备类型")
    private Integer equipmentType;

    @ApiParam(value ="设备类别")
    private String equipmentCategory;

    @ApiParam(value ="备注")
    private String memo;

    @ApiParam(value ="设备型号")
    private String equipmentModel;

    @ApiParam(value ="设备规格")
    private String equipmentSpec;

    @ApiParam("制造商")
    private String equipmentMaker;

    @ApiParam("出厂日期")
    private String releaseDate;

    @ApiParam("接收日期")
    private String receiveDate;

    @ApiParam("启用日期")
    private String enableDate;

    @ApiParam("连接类型")
    private Integer connectType;

    @ApiParam(value ="组织代码")
    public String organizeCode;

    @ApiParam(value = "有效性")
    public Integer isValid;

    @ApiParam(value = "是否已删除")
    public Integer isDeleted;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam(value = "修改人")
    public String modifyUser;

    @ApiParam(value = "修改日期")
    public String modifyDatetime;


    public MesEquipmentModel() {

    }

    public MesEquipmentModel(Long wcId, Long id, String equipmentCode, String equipmentName, Integer status, String workCenterCode, String workCellCode, String areaCode) {
        this.wcId = wcId;
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.status = status;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.areaCode = areaCode;
    }

    public MesEquipmentModel(Long id, String equipmentNameAndworkCellName, String equipmentCode, String equipmentName, Integer status, String areaCode, String workCenterCode, String workCellCode) {
        this.id = id;
        this.equipmentNameAndworkCellName = equipmentNameAndworkCellName;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.status = status;
        this.areaCode = areaCode;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;

    }

    public MesEquipmentModel(Long id, String equipmentCode, String equipmentName, Integer status, String workCenterCode, String workCellCode, String areaCode, Integer equipmentType, String equipmentCategory, String memo, String equipmentModel, String equipmentSpec, String equipmentMaker, String releaseDate, String receiveDate, String enableDate, Integer connectType, String organizeCode, Integer isValid, Integer isDeleted, String createUser, String createDatetime, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.status = status;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.areaCode = areaCode;
        this.equipmentType = equipmentType;
        this.equipmentCategory = equipmentCategory;
        this.memo = memo;
        this.equipmentModel = equipmentModel;
        this.equipmentSpec = equipmentSpec;
        this.equipmentMaker = equipmentMaker;
        this.releaseDate = releaseDate;
        this.receiveDate = receiveDate;
        this.enableDate = enableDate;
        this.connectType = connectType;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }

}
